Subject: Re: linux-next: Fixes tags need some work in the dma-mapping-fixes tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 23 Jan 2019 23:13:59 +1100

Hi Christoph,

On Wed, 23 Jan 2019 23:09:15 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> On Wed, 23 Jan 2019 08:19:33 +0100 Christoph Hellwig <[email-masked]> wrote:
> >
> > On Wed, Jan 23, 2019 at 07:47:47AM +1100, Stephen Rothwell wrote:  
> > >   - SHA1 should be at least 12 digits long    
> > 
> > When did we decide on that?  As far as I know it was bumped to 10
> > a while ago.  12 basically makes the line even more unreadable.  
> 
> From Documentation//process/submitting-patches.rst:
> 
> "If your patch fixes a bug in a specific commit, e.g. you found an issue using
> ``git bisect``, please use the 'Fixes:' tag with the first 12 characters of
> the SHA-1 ID, and the one line summary."

That paragraph was added by commit

  8401aa1f59975 ("Documentation/SubmittingPatches: describe the Fixes: tag")

commited by Linus on 2014-06-07 (before it got moved to the .rst file).

-- 
Cheers,
Stephen Rothwell